Bug 1413030 - perl-DBIx-Class-0.082840-2.fc26 FTBFS: Failed test 'Update ran only once on joined resultset'
Summary: perl-DBIx-Class-0.082840-2.fc26 FTBFS: Failed test 'Update ran only once on j...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-DBIx-Class
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
: 1424049 (view as bug list)
Depends On:
Blocks: F26FTBFS
TreeView+ depends on / blocked
 
Reported: 2017-01-13 12:45 UTC by Petr Pisar
Modified: 2017-02-28 13:21 UTC (History)
4 users (show)

Fixed In Version: perl-DBIx-Class-0.082840-4.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-28 13:21:23 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 119845 None None None 2017-01-13 13:13:39 UTC

Description Petr Pisar 2017-01-13 12:45:07 UTC
perl-DBIx-Class-0.082840-2.fc26 fails to build in F26 because tests fail:

t/resultset/rowparser_internals.t ................... ok
#   Failed test 'Update ran only once on joined resultset'
#   at t/resultset/update_delete.t line 198.
#          got: '14'
#     expected: '13'
#   Failed test 'Update ran only once on joined resultset'
#   at t/resultset/update_delete.t line 199.
#          got: '24'
#     expected: '23'
# Looks like you failed 2 tests of 49.
t/resultset/update_delete.t ......................... 
Dubious, test returned 2 (wstat 512, 0x200)
Failed 2/49 subtests 

A difference between working and failing build root is:

        perl-Errno 	1.25-382.fc26 	> 	1.25-383.fc26
	perl-IO 	1.36-382.fc26 	> 	1.36-383.fc26
	perl 	4:5.24.0-382.fc26 	> 	4:5.24.0-383.fc26
	perl-Time-Piece 	1.31-382.fc26 	> 	1.31-383.fc26
	perl-libs 	4:5.24.0-382.fc26 	> 	4:5.24.0-383.fc26
	perl-SelfLoader 	1.23-382.fc26 	> 	1.23-383.fc26
	perl-devel 	4:5.24.0-382.fc26 	> 	4:5.24.0-383.fc26
	perl-macros 	4:5.24.0-382.fc26 	> 	4:5.24.0-383.fc26
	sqlite-libs 	3.14.2-1.fc26 	> 	3.16.1-1.fc26
	perl-Net-Ping 	2.43-382.fc26 	> 	2.43-383.fc26
	perl-Math-Complex 	1.59-382.fc26 	> 	1.59-383.fc26
	perl-IO-Zlib 	1:1.10-382.fc26 	> 	1:1.10-383.fc26
	perl-Exception-Class 	1.41-1.fc26 	> 	1.42-1.fc26
	perl-Pod-Html 	1.22.01-382.fc26 	> 	1.22.01-383.fc26
	systemtap-sdt-devel 	3.1-0.20161226git... 	> 	3.1-0.20170103git...
	sed 	4.2.2-15.fc24 	> 	4.3-1.fc26
	python3 	3.6.0-1.fc26 	> 	3.6.0-3.fc26
	gdk-pixbuf2 	2.36.2-1.fc26 	> 	2.36.3-1.fc26
	freetype 	2.7-2.fc26 	> 	2.7.1-1.fc26
	libX11 	1.6.4-1.fc26 	> 	1.6.4-2.fc26
	libXpm 	3.5.11-5.fc24 	> 	3.5.12-1.fc26
	perl-Locale-Maketext-Simple 	1:0.21-382.fc26 	> 	1:0.21-383.fc26
	harfbuzz 	1.3.4-1.fc26 	> 	1.4.0-1.fc26
	python3-setuptools 	32.3.1-1.fc26 	> 	32.3.1-2.fc26
	gdk-pixbuf2-modules 	2.36.2-1.fc26 	> 	2.36.3-1.fc26
	publicsuffix-list-dafsa 		> 	20161230-1.fc26
	libpsl 	0.15.0-1.fc26 	> 	0.16.1-1.fc26
	system-python-libs 	3.6.0-1.fc26 	> 	3.6.0-3.fc26
	perl-Net-SSLeay 	1.78-2.fc26 	> 	1.80-1.fc26
	python3-libs 	3.6.0-1.fc26 	> 	3.6.0-3.fc26
	perl-IO-Socket-SSL 	2.040-1.fc26 	> 	2.041-1.fc26
	fedora-repos-rawhide 	26-0.3 	> 	26-0.4
	perl-Net-HTTP 	6.09-5.fc25 	> 	6.12-1.fc26
	kernel-headers 	4.10.0-0.rc2.git0.1.... 	> 	4.10.0-0.rc2.git2.1....
	fedora-repos 	26-0.3 	> 	26-0.4
	hwdata 	0.295-1.fc26 	> 	0.296-1.fc26
	gtk-update-icon-cache 	3.22.5-1.fc26 	> 	3.22.6-1.fc26
	system-python 	3.6.0-1.fc26 	> 	3.6.0-3.fc26
	libnghttp2 	1.18.0-1.fc26 	> 	1.18.1-1.fc26
	libX11-common 	1.6.4-1.fc26 	> 	1.6.4-2.fc26
	lz4 	1.7.4.2-1.fc26 	> 	1.7.5-1.fc26

Comment 1 Petr Pisar 2017-01-13 13:00:21 UTC
This is caused by upgrading sqlite-libs from 3.14.2-1.fc26 to 3.16.1-1.fc26.

Comment 2 Petr Pisar 2017-02-20 07:52:04 UTC
*** Bug 1424049 has been marked as a duplicate of this bug. ***

Comment 3 Fedora End Of Life 2017-02-28 10:57:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.


Note You need to log in before you can comment on or make changes to this bug.